Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.SubControl

    java.lang.Object
      com.trolltech.qt.gui.QStyle.SubControl

Enclosing class:
  QStyle

    public static class QStyle.SubControl

extends java.lang.Object

This enum describes the available sub controls. A subcontrol is a control element within a complex control (`ComplexControl`).

See Also:
  `ComplexControl`

Field Summary
`static int` | `SC_All` Special value that matches all sub-controls.
`static int` | `SC_ComboBoxArrow` Combobox arrow button.
`static int` | `SC_ComboBoxEditField` Combobox edit field; see also `QComboBox`.
`static int` | `SC_ComboBoxFrame` Combobox frame.
`static int` | `SC_ComboBoxListBoxPopup` The reference rectangle for the combobox popup.
`static int` | `SC_DialGroove` The groove for the dial.
`static int` | `SC_DialHandle` The handle of the dial (i.e. what you use to control the dial).
`static int` | `SC_DialTickmarks` The tickmarks for the dial.
`static int` | `SC_GroupBoxCheckBox` The optional check box of a group box.
`static int` | `SC_GroupBoxContents` The group box contents.
`static int` | `SC_GroupBoxFrame` The frame of a group box.
`static int` | `SC_GroupBoxLabel` The title of a group box.
`static int` | `SC_MdiCloseButton` The close button for a MDI subwindow in the menu bar.
`static int` | `SC_MdiMinButton` The minimize button for a MDI subwindow in the menu bar.
`static int` | `SC_MdiNormalButton` The normal button for a MDI subwindow in the menu bar.
`static int` | `SC_None` Special value that matches no other sub control.
`static int` | `SC_Q3ListView` The list view area.
`static int` | `SC_Q3ListViewBranch` Internal.
`static int` | `SC_Q3ListViewExpand` Expand item (i.e., show/hide child items).
`static int` | `SC_ScrollBarAddLine` Scroll bar add line (i.e., down/right arrow); see also `QScrollBar`.
`static int` | `SC_ScrollBarAddPage` Scroll bar add page (i.e., page down).
`static int` | `SC_ScrollBarFirst` Scroll bar first line (i.e., home).
`static int` | `SC_ScrollBarGroove` Special sub-control which contains the area in which the slider handle may move.
`static int` | `SC_ScrollBarLast` Scroll bar last line (i.e., end).
`static int` | `SC_ScrollBarSlider` Scroll bar slider handle.
`static int` | `SC_ScrollBarSubLine` Scroll bar sub line (i.e., up/left arrow).
`static int` | `SC_ScrollBarSubPage` Scroll bar sub page (i.e., page up).
`static int` | `SC_SliderGroove` Special sub-control which contains the area in which the slider handle may move.
`static int` | `SC_SliderHandle` Slider handle.
`static int` | `SC_SliderTickmarks` Slider tickmarks.
`static int` | `SC_SpinBoxDown` Spin widget down/decrease.
`static int` | `SC_SpinBoxEditField` Spin widget edit field.
`static int` | `SC_SpinBoxFrame` Spin widget frame.
`static int` | `SC_SpinBoxUp` Spin widget up/increase; see also `QSpinBox`.
`static int` | `SC_TitleBarCloseButton` Close button.
`static int` | `SC_TitleBarContextHelpButton` Context Help button.
`static int` | `SC_TitleBarLabel` Window title label.
`static int` | `SC_TitleBarMaxButton` Maximize button.
`static int` | `SC_TitleBarMinButton` Minimize button.
`static int` | `SC_TitleBarNormalButton` Normal (restore) button.
`static int` | `SC_TitleBarShadeButton` Shade button.
`static int` | `SC_TitleBarSysMenu` System menu button (i.e., restore, close, etc.).
`static int` | `SC_TitleBarUnshadeButton` Unshade button.
`static int` | `SC_ToolButton` Tool button (see also `QToolButton`).
`static int` | `SC_ToolButtonMenu` Sub-control for opening a popup menu in a tool button; see also Q3PopupMenu.

Constructor Summary
`QStyle.SubControl()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SC_None

    public static final int SC_None

  Special value that matches no other sub control.

  See Also:
    Constant Field Values

### SC_ScrollBarAddLine

    public static final int SC_ScrollBarAddLine

  Scroll bar add line (i.e., down/right arrow); see also `QScrollBar`.

  See Also:
    Constant Field Values

### SC_ScrollBarSubLine

    public static final int SC_ScrollBarSubLine

  Scroll bar sub line (i.e., up/left arrow).

  See Also:
    Constant Field Values

### SC_ScrollBarAddPage

    public static final int SC_ScrollBarAddPage

  Scroll bar add page (i.e., page down).

  See Also:
    Constant Field Values

### SC_ScrollBarSubPage

    public static final int SC_ScrollBarSubPage

  Scroll bar sub page (i.e., page up).

  See Also:
    Constant Field Values

### SC_ScrollBarFirst

    public static final int SC_ScrollBarFirst

  Scroll bar first line (i.e., home).

  See Also:
    Constant Field Values

### SC_ScrollBarLast

    public static final int SC_ScrollBarLast

  Scroll bar last line (i.e., end).

  See Also:
    Constant Field Values

### SC_ScrollBarSlider

    public static final int SC_ScrollBarSlider

  Scroll bar slider handle.

  See Also:
    Constant Field Values

### SC_ScrollBarGroove

    public static final int SC_ScrollBarGroove

  Special sub-control which contains the area in which the slider handle may move.

  See Also:
    Constant Field Values

### SC_SpinBoxUp

    public static final int SC_SpinBoxUp

  Spin widget up/increase; see also `QSpinBox`.

  See Also:
    Constant Field Values

### SC_SpinBoxDown

    public static final int SC_SpinBoxDown

  Spin widget down/decrease.

  See Also:
    Constant Field Values

### SC_SpinBoxFrame

    public static final int SC_SpinBoxFrame

  Spin widget frame.

  See Also:
    Constant Field Values

### SC_SpinBoxEditField

    public static final int SC_SpinBoxEditField

  Spin widget edit field.

  See Also:
    Constant Field Values

### SC_ComboBoxFrame

    public static final int SC_ComboBoxFrame

  Combobox frame.

  See Also:
    Constant Field Values

### SC_ComboBoxEditField

    public static final int SC_ComboBoxEditField

  Combobox edit field; see also `QComboBox`.

  See Also:
    Constant Field Values

### SC_ComboBoxArrow

    public static final int SC_ComboBoxArrow

  Combobox arrow button.

  See Also:
    Constant Field Values

### SC_ComboBoxListBoxPopup

    public static final int SC_ComboBoxListBoxPopup

  The reference rectangle for the combobox popup. Used to calculate the position of the popup.

  See Also:
    Constant Field Values

### SC_SliderGroove

    public static final int SC_SliderGroove

  Special sub-control which contains the area in which the slider handle may move.

  See Also:
    Constant Field Values

### SC_SliderHandle

    public static final int SC_SliderHandle

  Slider handle.

  See Also:
    Constant Field Values

### SC_SliderTickmarks

    public static final int SC_SliderTickmarks

  Slider tickmarks.

  See Also:
    Constant Field Values

### SC_ToolButton

    public static final int SC_ToolButton

  Tool button (see also `QToolButton`).

  See Also:
    Constant Field Values

### SC_ToolButtonMenu

    public static final int SC_ToolButtonMenu

  Sub-control for opening a popup menu in a tool button; see also Q3PopupMenu.

  See Also:
    Constant Field Values

### SC_TitleBarSysMenu

    public static final int SC_TitleBarSysMenu

  System menu button (i.e., restore, close, etc.).

  See Also:
    Constant Field Values

### SC_TitleBarMinButton

    public static final int SC_TitleBarMinButton

  Minimize button.

  See Also:
    Constant Field Values

### SC_TitleBarMaxButton

    public static final int SC_TitleBarMaxButton

  Maximize button.

  See Also:
    Constant Field Values

### SC_TitleBarCloseButton

    public static final int SC_TitleBarCloseButton

  Close button.

  See Also:
    Constant Field Values

### SC_TitleBarNormalButton

    public static final int SC_TitleBarNormalButton

  Normal (restore) button.

  See Also:
    Constant Field Values

### SC_TitleBarShadeButton

    public static final int SC_TitleBarShadeButton

  Shade button.

  See Also:
    Constant Field Values

### SC_TitleBarUnshadeButton

    public static final int SC_TitleBarUnshadeButton

  Unshade button.

  See Also:
    Constant Field Values

### SC_TitleBarContextHelpButton

    public static final int SC_TitleBarContextHelpButton

  Context Help button.

  See Also:
    Constant Field Values

### SC_TitleBarLabel

    public static final int SC_TitleBarLabel

  Window title label.

  See Also:
    Constant Field Values

### SC_Q3ListView

    public static final int SC_Q3ListView

  The list view area.

  See Also:
    Constant Field Values

### SC_Q3ListViewBranch

    public static final int SC_Q3ListViewBranch

  Internal.

  See Also:
    Constant Field Values

### SC_Q3ListViewExpand

    public static final int SC_Q3ListViewExpand

  Expand item (i.e., show/hide child items).

  See Also:
    Constant Field Values

### SC_DialGroove

    public static final int SC_DialGroove

  The groove for the dial.

  See Also:
    Constant Field Values

### SC_DialHandle

    public static final int SC_DialHandle

  The handle of the dial (i.e. what you use to control the dial).

  See Also:
    Constant Field Values

### SC_DialTickmarks

    public static final int SC_DialTickmarks

  The tickmarks for the dial.

  See Also:
    Constant Field Values

### SC_GroupBoxCheckBox

    public static final int SC_GroupBoxCheckBox

  The optional check box of a group box.

  See Also:
    Constant Field Values

### SC_GroupBoxLabel

    public static final int SC_GroupBoxLabel

  The title of a group box.

  See Also:
    Constant Field Values

### SC_GroupBoxContents

    public static final int SC_GroupBoxContents

  The group box contents.

  See Also:
    Constant Field Values

### SC_GroupBoxFrame

    public static final int SC_GroupBoxFrame

  The frame of a group box.

  See Also:
    Constant Field Values

### SC_MdiMinButton

    public static final int SC_MdiMinButton

  The minimize button for a MDI subwindow in the menu bar.

  See Also:
    Constant Field Values

### SC_MdiNormalButton

    public static final int SC_MdiNormalButton

  The normal button for a MDI subwindow in the menu bar.

  See Also:
    Constant Field Values

### SC_MdiCloseButton

    public static final int SC_MdiCloseButton

  The close button for a MDI subwindow in the menu bar.

  See Also:
    Constant Field Values

### SC_All

    public static final int SC_All

  Special value that matches all sub-controls.

  See Also:
    Constant Field Values

Constructor Detail

### QStyle.SubControl

    public QStyle.SubControl()

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD